# *****************************************************************
#
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2018, 2019. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# *****************************************************************

from __future__ import print_function
import argparse
import os

from pai4sk.sml_io import load_from_svmlight_format
from snap_ml_mpi.Writers import write_to_snap_format
import time

defaultPath = os.getcwd()
CLI=argparse.ArgumentParser()
CLI.add_argument(
   "--data_path",
   type=str,
   default=defaultPath
)


args = CLI.parse_args()

t0 = time.time()
data = load_from_svmlight_format(args.data_path + "/data/criteo_tb_1b", num_ft=1000000)
write_to_snap_format(args.data_path + "/data/criteo_tb_1b.snap", data, with_implicit_vals=True)
t1 = time.time()
print("Time to pre-process training data (s): %f" % (t1-t0))

t0 = time.time()
data = load_from_svmlight_format(args.data_path + "/data/criteo_tb.t", num_ft=1000000)
write_to_snap_format(args.data_path + "/data/criteo_tb.t.snap", data, with_implicit_vals=True)
t1 = time.time()
print("Time to pre-process test data (s): %f" % (t1-t0))



